### Method

# Gtk TreeViewget_model

deprecated: 4.10

#### Declaration [src]

    GtkTreeModel*
    gtk_tree_view_get_model (
      GtkTreeView* tree_view
    )

#### Description [src]

Returns the model the `GtkTreeView` is based on. Returns `NULL` if the model is unset.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

Gets property | `Gtk.TreeView:model`

#### Return value

Type: `GtkTreeModel`

A `GtkTreeModel`

The data is owned by the instance.
The return value can be `NULL`.